# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Convert arbitrary objects to/from strings
Name:		perl-FreezeThaw
Version:	0.5001
Release:	4.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/FreezeThaw/
Source0:	http://search.cpan.org/CPAN/authors/id/I/IL/ILYAZ/modules/FreezeThaw-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
FreezeThaw is a module for converting Perl structures to strings and back.

%prep
%setup -q -n FreezeThaw-%{version}

# Remove spurious exec permissions
%{__chmod} -x FreezeThaw.pm Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* Changes
%{perl_vendorlib}/FreezeThaw.pm
%{_mandir}/man3/FreezeThaw.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.5001-4
- Make RPM version same as upstream version since Fedora has done the same

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 0.50-3
- Fix dist tag to work with RHEL6 Beta

* Sun Apr  4 2010 Paul Howarth <paul@city-fan.org> 0.50-2
- Update to 0.5001 (switch to a course version-check to recognize that regexps
  are first-level, avoiding the need to rely on Scalar::Utils)

* Mon Mar  8 2010 Paul Howarth <paul@city-fan.org> 0.50-1
- Update to 0.50 (support RE's of 5.11 and later, but not yet reblessed ones)

* Sun Feb 21 2010 Paul Howarth <paul@city-fan.org> 0.45-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Sep 10 2009 Paul Howarth <paul@city-fan.org> 0.45-2
- Define RPM macros in global scope

* Wed Feb 11 2009 Paul Howarth <paul@city-fan.org> 0.45-1
- Update to 0.45 (optimize thaw)
- Remove spurious exec permissions on files in upstream distribution

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 0.43-6
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Sun Mar 18 2007 Paul Howarth <paul@city-fan.org> 0.43-5
- Fix dist tag for development and CentOS builds
- Define %%{__id_u} in a more portable way
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Mon Jan 16 2006 Paul Howarth <paul@city-fan.org> 0.43-4
- Remove redundant compiler optimization settings, not needed for noarch pkg
- Use search.cpan.org URLs
- Don't use macros in paths for build-time commands, hardcode them instead
- Simplify distribution-detection
- Remove %%__perl_package and %%perl_version macros for simplicity
- Remove buildroot unconditionally in %%clean and %%install
- Change Group: from Applications/CPAN to Development/Libraries

* Mon May 23 2005 Paul Howarth <paul@city-fan.org> 0.43-3
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 0.43-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Wed Feb 18 2004 Paul Howarth <paul@city-fan.org> 0.43-1
- Initial build
